#!/bin/sh
##########################################################################
# Licensed Materials - Property of IBM
# 5724-T40 IBM License Metric Tool
# 5725-C68 IBM Tivoli Asset Discovery for Distributed
#
# (C) Copyright IBM Corp. 2009,2011.  All Rights Reserved.
#
# US Government Users Restricted Rights - Use, duplication or
# disclosure restricted by GSA ADP Schedule Contract with IBM Corp.
##########################################################################

# set the path passed as parameter
AGENT_BASE_DIR=$1
TMP_DIR=$2

CACHE_DIR=cache
KEYDB_DIR=keydb
SCANNER_DIR=scanner

/etc/init.d/tlm $AGENT_BASE_DIR stop
rm -f $AGENT_BASE_DIR/tlmagent
rm -f $AGENT_BASE_DIR/tlmagent.bin
rm -f /etc/tlmagent.ini
rm -f /etc/tlm_mobility.cfg
rm -f /etc/tlmlog.properties
/sbin/chkconfig --del tlm > /dev/null
rm -f /etc/init.d/tlm
rm -rf $AGENT_BASE_DIR$CACHE_DIR
rm -rf $AGENT_BASE_DIR$KEYDB_DIR
rm -rf $TMP_DIR
echo "Directory $AGENT_BASE_DIR contains utilities and tlmunins.sh files."
echo "You may delete them manually."
echo "Deleted scanner directory $AGENT_BASE_DIR$SCANNER_DIR"
rm -rf $AGENT_BASE_DIR$SCANNER_DIR

